Subject: Re: bug#18132: Time for a smarter dired-guess-shell-alist-default? (dired-x.el)

From: Reuben Thomas <[email-masked]>
Date: Sat, 23 Oct 2021 14:01:39 +0100

On Sat, 23 Oct 2021 at 09:16, Stefan Kangas <[email-masked]> wrote:

>
> That sounds like exactly the right thing to do.  So we need to add stuff
> here, without taking anything away.
>

That would be a shame: there are too many things in Emacs that just get
more complicated over time. I'm dubious about the utility of
system-independent configuration here too.

Looking even more closely at this, I guess `xdg-open' could be used as
> some final fallback, but it doesn't seem to add anything that isn't
> already available from mailcap?

xdg-open uses the underlying desktop system's MIME infrastructure. For a
GNU system, that would most typically be GNOME, and its "gio open" (or on
older systems, gvfs-open) command.

-- 
https://rrt.sc3d.org